---
title: "Delete Document of Payout"
source_url: https://docs.rapyd.net/en/delete-document-of-payout.html
lang: en
---

# Delete Document of Payout

Delete a document file that was previously uploaded to a specific payout.

> **Note:**
>
> The code samples include successful requests (200), bad requests (400), and an unauthorized request (401).
>
> For a list of all error messages that appear due to bad requests, see:
>
> - [Document Errors](https://docs.rapyd.net/en/document-errors.md "Document Errors")
> - [Payout Errors](https://docs.rapyd.net/en/payout-errors.md "Payout Errors")
> - [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors")

### Parameters

### Request Path Parameters

- - payout
  - ID of the payout. String starting with **payout_**.

- - file_id
  - ID of the specific document file. UUID.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

Response returns a **success** `status` with no `data` object.

- /v1/payouts/:payout/documents/:file_id

- Delete Document of Payout
- ```curl
  curl -X delete 'https://sandboxapi.rapyd.net/v1/payouts/payout_548969fc5a0bf89da3cec70a1529338d/documents/e0b0ef98-2fac-4dcd-86c7-e1062bfd1c55' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "1e1fd62c-e3d9-433d-ab1a-2f60b4765af2"
      }
  }
  ```

- Bad Request - Payout Not Found
- ```curl
  curl -X delete 'https://sandboxapi.rapyd.net/v1/payouts/payout_548969fc5a0bf89da3cec70a1529338d/documents/e03b791d-1784-4dec-94db-f664131dedbb' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_GET_PAYOUT",
          "status": "ERROR",
          "message": "The request tried to retrieve a payout, but the payout was not found. The request was rejected. Corrective action: Use the ID of a valid payout.",
          "response_code": "ERROR_GET_PAYOUT",
          "operation_id": "a332e292-d8ea-46f2-a4e3-b3ac3458e2c6"
      }
  }
  ```

- Unauthorized
- ```curl
  curl -X delete 'https://sandboxapi.rapyd.net/v1/payouts/payout_548969fc5a0bf89da3cec70a1529338d/documents/e0b0ef98-2fac-4dcd-86c7-e1062bfd1c55' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "UNAUTHENTICATED_API_CALL",
          "status": "ERROR",
          "message": "The request was rejected due to an authentication issue. Corrective action: Check the status of your account in the 'Account Details' page of the Client Portal.",
          "response_code": "UNAUTHENTICATED_API_CALL",
          "operation_id": "14b02645-8f48-4f24-b523-3aebda91da4e"
      }
  }
  ```
